Subject: Re: [bug#42279] [PATCH] gnu: Add distrho-ports.

From: Marius Bakke <[email-masked]>
Date: Tue, 21 Jul 2020 00:07:41 +0200

Alexandros Theodotou <[email-masked]> writes:

> Hi,
>
> This patch adds distrho-ports, a collection of LV2 plugins ported from
> other platforms/frameworks. 
>
> The meson build system was recently added and not released yet (it used
> an old version of premake before and failed to build on guix).

[...]

> * gnu/packages/music.scm (distrho-ports): New variable.

[...]
  
> +(define-public distrho-ports
> +  ;; the previous release required a version of premake not present
> +  ;; in guix. it has now been ported to meson but not released yet

Please use capitalizations like in normal sentences, and for names such
as Guix and Meson.

Actually it seems to be released now:

https://github.com/DISTRHO/DISTRHO-Ports/releases/tag/2020-07-14

> +      (synopsis "Collection of audio plugins and LV2 ports")
> +      (description
> +       "DISTRHO is a project with the goal of making cross-platform audio
> +  plugins and GNU/Linux ports.
> +  This package includes HiReSam, LUFSMeter-Multi, LUFSMeter, Arctican Function,
> +  Arctican Pilgrim, Dexed, dRowAudio Distortion, dRowAudio Distortion Shaper,
> +  dRowAudio Flanger, dRowAudioReverb, dRowAudio Tremolo, DrumSynth, easySSP,
> +  EQuinox, JUCE Demo Plugin, JUCE OPL, Klangfalter, Luftikus, Obxd, Pitched
> +  Delay, Refine, Stereo Source Separation, TAL Dub 3, TAL Noise Maker, TAL
> +  Reverb 2, TAL Reverb 3, TAL Reverb, TAL Vocoder 2, Temper, Vex and
> +  Wolpertinger.")
> +      (home-page "http://distrho.sourceforge.net/ports")
> +      (license (list license:gpl2      ; found in doc directory
> +                     license:lgpl3+    ; found in doc directory
> +                     license:gpl3)))))  ; mentioned in meson file

This is a problem: GPL3 is famously incompatible with GPL2.  If these
plugins are licensed separately it would be good to list the license for
each and take it from there.

Even better (I think?) is to package each plugin separately.  Then users
can choose whether to combine these incompatibly-licensed plugins, but
we as a distribution can not (and probably not DISTRHO either).

Not sure what to do about it.  Ideas?